Subject: bug#57020: 29.0.50; Mouse wheel stops working

From: Po Lu <[email-masked]>
Date: Sun, 07 Aug 2022 09:56:45 +0800

Michael Heerdegen <[email-masked]> writes:

> Hello,
>
> I have been seeing this for a while now (maybe two weeks or a bit more,
> not sure when it started exactly):
>
> After starting Emacs everything is good.  But after a while, the mouse
> wheel stops working.  That is, mouse-4 and mouse-5, with and without
> modifiers, are not recognized.  In all buffers and windows, scroll-bar,
> mode line, everywhere.  C-h k shows nothing because no event is
> registered.
>
> When that happens the mouse wheel still works normally in other X
> windows or the window manager or in a newly started Emacs session.
>
> This is under X and Openbox.

mouse-4/mouse-5 or wheel-up/wheel-down?

Please be clear here, since they are handled separately under XInput 2.